require 'open-uri'
require 'json'
require 'cgi'

module ImageMongerClient
  class PdfService

    attr_reader :pdf_url

    def initialize(pdf_url)
      @pdf_url = pdf_url
    end

    def pages_as_image_urls
      JSON.parse(converter_response.read)
    end

    private

    def converter_response
      open(converter_url)
    end

    def converter_url
      "#{"https://image-monger.services.lokalebasen.dk/pdf"}/#{encoded_pdf_url}/menu"
    end

    def encoded_pdf_url
      CGI.escape(pdf_url)
    end
  end
end
